#ifndef MSP_TIME_RAWTIME_PRIVATE_H_
#define MSP_TIME_RAWTIME_PRIVATE_H_

#ifdef WIN32
#include <windows.h>
#else
#include <sys/time.h>
#endif
#include "rawtime.h"

namespace Msp {
namespace Time {

#ifdef WIN32
RawTime filetime_to_rawtime(const FILETIME &);
#else
timeval rawtime_to_timeval(RawTime);
timespec rawtime_to_timespec(RawTime);
RawTime timeval_to_rawtime(const timeval &);
#endif

} // namespace Time
} // namespace Msp

#endif
